%% Systems used in numerical examples

% 'system_1', 'system_2' and 'system_3' are standard Matlab discrete time
% linear system objects.

% Refer to Section 6 for details about stochastic properties.

load('systems.mat')


%% Bode plots for system (i.e., Figure 2)

fs = 10;
lw = 1.35;

figure

bode(system_1,'b')
hold on
bode(system_2,'r--')
bode(system_3,'g-.')
title('')
xlabel('Frequency','interpreter','latex')
ylabel('Phase','interpreter','latex')

h = findobj(gcf,'type','line');
set(h,'linewidth',lw);

hLeg = legend({'System 1','System 2','System 3'},'interpreter','latex');
set(gca,'FontSize',fs)



